CREATE SCHEMA Administration

-- Historie:
--
-- 02.08.2006 - 1.011
-- Einfhrung OKSTRA-ID gem N0073
-- Aufweichung von Relationen gem N0078
-- Einfhrung des Schemas Liegenschaftsverwaltung gem N0080
--
-- 09.09.2005 - 1.010 (1.010)
-- Anpassung an ASB-ING, Stand 2004
-- Schema Arbeitsstelle_an_Strassen erstellt
--
-- 29.06.2004 - 1.006 (1.009)
-- Anpassung an ASB-Netzdaten, Stand September 2002
--
-- 03.09.2003 - 1.005 (1.008)
-- Anbindung des Schemas Kostenberechnung
-- Korrektur der historischen Gltigkeitsdaten (SQL)
--
-- 31.05.2002 - 1.004 (1.007)
-- Strassenbaudienststelle Subtyp von UI_Partner
--
-- 12.09.2001 - 1.003 (1.004)
-- Referenzen zum Schema Unfall angepasst
-- Polizeidienststelle ergnzt
--
-- 11.12.2000 - 1.002 (1.002)
-- Symbolische Verweise integriert fr
-- Teilbauwerk, Bauwerk, Verwaltungsbezirk,
-- Strassenbaudienststelle, Strasse
--
-- 29.10.2000 - 1.001 (1.001)
-- passive Versionierung durch Integration der
-- Schemata allgemeine Geometrieobjekte und Grunderwerb
--
-- 15.10.1999 - 1.000 (1.000)
-- Erste Version des OKSTRA verabschiedet

CREATE TABLE ASB_Objekt (
   ASB_Objekt_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   Art_ASB_Objekt
      INTEGER NOT NULL REFERENCES Art_ASB_Objekt,
   Bezeichnung_lang
      VARCHAR(30),
   Bezeichnung_kurz
      VARCHAR(10),
   Erfassungsdatum
      CHAR(10), -- Datum
   CHECK ( Erfassungsdatum LIKE '__.__.____' ),
   Systemdatum
      CHAR(10), -- Datum
   CHECK ( Systemdatum LIKE '__.__.____' ),
   Textfeld
      VARCHAR(255)
)

CREATE TABLE Art_ASB_Objekt (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_ASB_Objekt VALUES ( 1003, 'Strasse' )
INSERT INTO Art_ASB_Objekt VALUES ( 1011, 'Netzknoten' )
INSERT INTO Art_ASB_Objekt VALUES ( 1014, 'BAB_Knotennummer' )
INSERT INTO Art_ASB_Objekt VALUES ( 1019, 'Abschnitt' )
INSERT INTO Art_ASB_Objekt VALUES ( 1020, 'Ast' )
INSERT INTO Art_ASB_Objekt VALUES ( 1022, 'Nullpunkt' )
INSERT INTO Art_ASB_Objekt VALUES ( 1035, 'Nullpunktsort' )
INSERT INTO Art_ASB_Objekt VALUES ( 1039, 'Netzbereich' )
INSERT INTO Art_ASB_Objekt VALUES ( 1051, 'Strecke' )
INSERT INTO Art_ASB_Objekt VALUES ( 1052, 'Strecke_SO' )
INSERT INTO Art_ASB_Objekt VALUES ( 1054, 'Teilnetz' )
INSERT INTO Art_ASB_Objekt VALUES ( 1056, 'Route' )
INSERT INTO Art_ASB_Objekt VALUES ( 1057, 'Strassenelement' )
INSERT INTO Art_ASB_Objekt VALUES ( 1058, 'Kilometrierung' )
INSERT INTO Art_ASB_Objekt VALUES ( 1060, 'Block' )
INSERT INTO Art_ASB_Objekt VALUES ( 1069, 'Verbindungspunkt' )
INSERT INTO Art_ASB_Objekt VALUES ( 1071, 'Teilnetz_ASB' )
INSERT INTO Art_ASB_Objekt VALUES ( 1073, 'Verbotene_Fahrbeziehung' )
INSERT INTO Art_ASB_Objekt VALUES ( 2005, 'Bundesland' )
INSERT INTO Art_ASB_Objekt VALUES ( 2006, 'Regierungsbezirk' )
INSERT INTO Art_ASB_Objekt VALUES ( 2007, 'Kreis_kreisfreie_Stadt' )
INSERT INTO Art_ASB_Objekt VALUES ( 2009, 'Gemeindebezirk' )
INSERT INTO Art_ASB_Objekt VALUES ( 2012, 'Ortsteil' )
INSERT INTO Art_ASB_Objekt VALUES ( 2016, 'Land_Ministerium' )
INSERT INTO Art_ASB_Objekt VALUES ( 2017, 'Regierungspraesidium_Landesamt' )
INSERT INTO Art_ASB_Objekt VALUES ( 2018, 'Amt' )
INSERT INTO Art_ASB_Objekt VALUES ( 2019, 'Meisterei' )
INSERT INTO Art_ASB_Objekt VALUES ( 2020, 'Kreisverwaltung' )
INSERT INTO Art_ASB_Objekt VALUES ( 2021, 'Gemeindeverwaltung' )
INSERT INTO Art_ASB_Objekt VALUES ( 2022, 'sonstige_UI_Partner' )
INSERT INTO Art_ASB_Objekt VALUES ( 2023, 'UI_Vereinbarung' )
INSERT INTO Art_ASB_Objekt VALUES ( 2025, 'Baulast' )
INSERT INTO Art_ASB_Objekt VALUES ( 2028, 'Baulast_Dritter' )
INSERT INTO Art_ASB_Objekt VALUES ( 2036, 'Staat' )
INSERT INTO Art_ASB_Objekt VALUES ( 4024, 'Gewaesserkreuzung' )
INSERT INTO Art_ASB_Objekt VALUES ( 4025, 'Bahnkreuzung' )
INSERT INTO Art_ASB_Objekt VALUES ( 4028, 'Kreuzung_Strasse_Weg' )
INSERT INTO Art_ASB_Objekt VALUES ( 25002, 'Ereignis' )
INSERT INTO Art_ASB_Objekt VALUES ( 34017, 'Tierwechsel' )
INSERT INTO Art_ASB_Objekt VALUES ( 34019, 'Kreuzung_sonst_Verkehrsanl' )

CREATE TABLE ASB_Objekt__Fotodokument (
   ASB_Objekt
      INTEGER NOT NULL REFERENCES ASB_Objekt,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Verwaltungsbezirk (
   Verwaltungsbezirk_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES ASB_Objekt,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES Geometrieschema.Flaechenobjekt_Modell,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES Baulasttraeger,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES Verwaltungsbezirk_abstrakt,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES UI_Partner,
   Art_Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Art_Verwaltungsbezirk
)

CREATE TABLE Art_Verwaltungsbezirk (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(22) NOT NULL
)

INSERT INTO Art_Verwaltungsbezirk VALUES ( 2005, 'Bundesland' )
INSERT INTO Art_Verwaltungsbezirk VALUES ( 2006, 'Regierungsbezirk' )
INSERT INTO Art_Verwaltungsbezirk VALUES ( 2007, 'Kreis_kreisfreie_Stadt' )
INSERT INTO Art_Verwaltungsbezirk VALUES ( 2009, 'Gemeindebezirk' )
INSERT INTO Art_Verwaltungsbezirk VALUES ( 2012, 'Ortsteil' )
INSERT INTO Art_Verwaltungsbezirk VALUES ( 2036, 'Staat' )

CREATE TABLE Verwaltbez__von_verwtechn_Z (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   verwaltungstechn_Zuordnung
      INTEGER NOT NULL REFERENCES verwaltungstechn_Zuordnung
)

CREATE TABLE Verwaltungsbezirk__von_Strasse (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Strasse_abstrakt
      INTEGER NOT NULL REFERENCES Strassennetz.Strasse_abstrakt
)

CREATE TABLE Verwaltungsbez__von_Unfallort (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Angaben_zum_Unfallort
      INTEGER NOT NULL REFERENCES Unfall.Angaben_zum_Unfallort
)

CREATE TABLE Verwaltungsbez__enth_Vermpkt (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt.Vermessungspunkt
)

CREATE TABLE Verwaltungsbez__hat_gem_Kfz (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Unfallfahrzeug
      INTEGER NOT NULL REFERENCES Unfall.Unfallfahrzeug
)

CREATE TABLE Verwaltbez__zu_DV_Merkm_StaLa (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   DV_Merkmale_StaLa
      INTEGER NOT NULL REFERENCES Unfall.DV_Merkmale_StaLa
)

CREATE TABLE Verwbz__zu_Projektkennz_Kostra (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Projektkennzeichnung_Kostra
      INTEGER NOT NULL REFERENCES Kostenberechnung.Projektkennzeichnung_Kostra
)

CREATE TABLE Verwaltungsbezirk__z_Baumassn (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Baumassnahme
      INTEGER NOT NULL REFERENCES Oekologie.Baumassnahme
)

CREATE TABLE Verwbz__i_Bl_z_adm_Ang_MELVER (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   administrative_Angaben_MELVER
      INTEGER NOT NULL REFERENCES MELVER.administrative_Angaben_MELVER
)

CREATE TABLE Verwbz__i_K_G_z_adm_Ang_MELVER (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   administrative_Angaben_MELVER
      INTEGER NOT NULL REFERENCES MELVER.administrative_Angaben_MELVER
)

CREATE TABLE Verwbz__h_Auftrn_d_Baul_MELVER (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Ang_zum_Auftragnehmer_MELVER
      INTEGER NOT NULL REFERENCES MELVER.Ang_zum_Auftragnehmer_MELVER
)

CREATE TABLE Verwaltungsbezirk_abstrakt (
   Verwaltungsbezirk_abstrakt_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   Art_Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Art_Verwaltungsbezirk_abstrakt
)

CREATE TABLE Art_Verwaltungsbezirk_abstrakt (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(24) NOT NULL
)

INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES ( 2004, 'Verwaltungsbezirk_Symbol' )
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES ( 2005, 'Bundesland' )
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES ( 2006, 'Regierungsbezirk' )
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES ( 2007, 'Kreis_kreisfreie_Stadt' )
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES ( 2009, 'Gemeindebezirk' )
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES ( 2012, 'Ortsteil' )
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES ( 2036, 'Staat' )

CREATE TABLE Verwaltungsbezirk_Symbol (
   Verwaltungsbezirk_Symbol_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Verwaltungsbezirk_Symbol_ID) REFERENCES Verwaltungsbezirk_abstrakt,
   Kennung
      VARCHAR(11) NOT NULL
)

CREATE TABLE Staat (
   Staat_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Staat_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Staat
      VARCHAR(2) NOT NULL
)

CREATE TABLE Staat__enthaelt_Bundeslaender (
   Staat
      INTEGER NOT NULL REFERENCES Staat,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Bundesland (
   Bundesland_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Bundesland_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Bundesland
      CHAR(2) NOT NULL
)

CREATE TABLE Bundesland__ist_in_Staat (
   Bundesland
      INTEGER NOT NULL REFERENCES Bundesland,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Bundesland__enthaelt_RBZ (
   Bundesland
      INTEGER NOT NULL REFERENCES Bundesland,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Regierungsbezirk (
   Regierungsbezirk_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Regierungsbezirk_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Regierungsbezirk
      CHAR(3) NOT NULL
)

CREATE TABLE RBZ__ist_in_Bundesland (
   Regierungsbezirk
      INTEGER NOT NULL REFERENCES Regierungsbezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE RBZ__enthaelt_Kreis (
   Regierungsbezirk
      INTEGER NOT NULL REFERENCES Regierungsbezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Kreis_kreisfreie_Stadt (
   Kreis_kreisfreie_Stadt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kreis_kreisfreie_Stadt_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Kreis
      CHAR(5) NOT NULL,
   Kreisart
      CHAR(1) REFERENCES Kreisart
)

CREATE TABLE Kreis__ist_in_RBZ (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Kreis__enthaelt_Gemeinde (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Kreis__hat_Verwaltung (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Kreisverwaltung
      INTEGER NOT NULL REFERENCES Kreisverwaltung
)

CREATE TABLE Kreis__enthaelt_Gemarkung (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Gemarkung
      INTEGER NOT NULL REFERENCES Kataster.Gemarkung
)

CREATE TABLE Kreisart (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Kreisart VALUES ('S','Stadtkreis')
INSERT INTO Kreisart VALUES ('L','Landkreis')

CREATE TABLE Gemeindebezirk (
   Gemeindebezirk_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Gemeindebezirk_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Gemeinde
      CHAR(8) NOT NULL,
   Baulast_Strassenklasse
      CHAR(1) REFERENCES Baulast_Strassenklasse,
   Gemeinde_Funktion
      CHAR(1) REFERENCES Gemeinde_Funktion
)

CREATE TABLE Gemeinde__ist_in_Kreis (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Gemeinde__enthaelt_Ortsteil (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Gemeinde__hat_Verwaltung (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Gemeindeverwaltung
      INTEGER NOT NULL REFERENCES Gemeindeverwaltung
)

CREATE TABLE Gemeinde__enthaelt_Gemarkung (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Gemarkung
      INTEGER NOT NULL REFERENCES Kataster.Gemarkung
)

CREATE TABLE Baulast_Strassenklasse (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Baulast_Strassenklasse VALUES ('B','Baulast in OD fr B-, L/S- und K-Straen')
INSERT INTO Baulast_Strassenklasse VALUES ('L','Baulast in OD fr L/S- und K-Straen')
INSERT INTO Baulast_Strassenklasse VALUES ('K','Baulast in OD fr K-Straen')
INSERT INTO Baulast_Strassenklasse VALUES ('F','Baulast in OD und FS fr K-Straen')

CREATE TABLE Gemeinde_Funktion (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Gemeinde_Funktion VALUES ('O','Oberzentrum')
INSERT INTO Gemeinde_Funktion VALUES ('M','Mittelzentrum')
INSERT INTO Gemeinde_Funktion VALUES ('U','Unterzentrum')
INSERT INTO Gemeinde_Funktion VALUES ('G','Grundzentrum')

CREATE TABLE Ortsteil (
   Ortsteil_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Ortsteil_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Ortsteil
      CHAR(11) NOT NULL
)

CREATE TABLE Ortsteil__ist_in_Gemeinde (
   Ortsteil
      INTEGER NOT NULL REFERENCES Ortsteil,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Strassenbaudienststelle (
   Strassenbaudienststelle_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Strassenbaudienststelle_ID) REFERENCES ASB_Objekt,
   FOREIGN KEY (Strassenbaudienststelle_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   FOREIGN KEY (Strassenbaudienststelle_ID) REFERENCES Strassenbaudienstst_abstr,
   FOREIGN KEY (Strassenbaudienststelle_ID) REFERENCES UI_Partner,
   Art_Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Art_Strassenbaudienststelle,
   Strasse
      VARCHAR(30),
   Postleitzahl
      VARCHAR(6),
   Ort
      VARCHAR(30),
   Telefon
      VARCHAR(20),
   Fax
      VARCHAR(20),
   E_Mail
      VARCHAR(30)
)

CREATE TABLE Art_Strassenbaudienststelle (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_Strassenbaudienststelle VALUES ( 2016, 'Land_Ministerium' )
INSERT INTO Art_Strassenbaudienststelle VALUES ( 2017, 'Regierungspraesidium_Landesamt' )
INSERT INTO Art_Strassenbaudienststelle VALUES ( 2018, 'Amt' )
INSERT INTO Art_Strassenbaudienststelle VALUES ( 2019, 'Meisterei' )
INSERT INTO Art_Strassenbaudienststelle VALUES ( 2020, 'Kreisverwaltung' )
INSERT INTO Art_Strassenbaudienststelle VALUES ( 2021, 'Gemeindeverwaltung' )

CREATE TABLE Strassenbaud__von_Teilbauwerk (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Teilbauwerk_abstrakt
      INTEGER NOT NULL REFERENCES Bauwerke.Teilbauwerk_abstrakt
)

CREATE TABLE Strassenbaudienstst__von_Bauw (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Bauwerk_abstrakt
      INTEGER NOT NULL REFERENCES Bauwerke.Bauwerk_abstrakt
)

CREATE TABLE Strassenbaud__ist_Amt_fuer (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Info_Strasse
      INTEGER NOT NULL REFERENCES Bauwerke.Info_Strasse
)

CREATE TABLE Strassenbaud__ist_Meist_fuer (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Info_Strasse
      INTEGER NOT NULL REFERENCES Bauwerke.Info_Strasse
)

CREATE TABLE Strassenbaud__von_verwtechn_Z (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   verwaltungstechn_Zuordnung
      INTEGER NOT NULL REFERENCES verwaltungstechn_Zuordnung
)

CREATE TABLE Strassenbaud__von_Ereignis (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Ereignis
      INTEGER NOT NULL REFERENCES Historisierung.Ereignis
)

CREATE TABLE Strassenbaud__von_Unfallort (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Angaben_zum_Unfallort
      INTEGER NOT NULL REFERENCES Unfall.Angaben_zum_Unfallort
)

CREATE TABLE Strassenbdst__z_adm_Ang_MELVER (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   administrative_Angaben_MELVER
      INTEGER NOT NULL REFERENCES MELVER.administrative_Angaben_MELVER
)

CREATE TABLE Strassenbdst__z_df_Arbeitsst (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Durchfuehrender_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen.Durchfuehrender_Arbeitsstelle
)

CREATE TABLE Strassenbdst__ist_LV_Behoerd (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   LV_Behoerde
      INTEGER NOT NULL REFERENCES Liegenschaftsverwaltung.LV_Behoerde
)

CREATE TABLE Strassenbaudienstst_abstr (
   Strassenbaudienstst_abstr_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   Art_Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Art_Strassenbaudienstst_abstr
)

CREATE TABLE Art_Strassenbaudienstst_abstr (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_Strassenbaudienstst_abstr VALUES ( 2015, 'Strassenbaudienstst_Symbol' )
INSERT INTO Art_Strassenbaudienstst_abstr VALUES ( 2016, 'Land_Ministerium' )
INSERT INTO Art_Strassenbaudienstst_abstr VALUES ( 2017, 'Regierungspraesidium_Landesamt' )
INSERT INTO Art_Strassenbaudienstst_abstr VALUES ( 2018, 'Amt' )
INSERT INTO Art_Strassenbaudienstst_abstr VALUES ( 2019, 'Meisterei' )
INSERT INTO Art_Strassenbaudienstst_abstr VALUES ( 2020, 'Kreisverwaltung' )
INSERT INTO Art_Strassenbaudienstst_abstr VALUES ( 2021, 'Gemeindeverwaltung' )

CREATE TABLE Strassenbaudienstst_Symbol (
   Strassenbaudienstst_Symbol_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Strassenbaudienstst_Symbol_ID) REFERENCES Strassenbaudienstst_abstr,
   Kennung
      VARCHAR(8) NOT NULL
)

CREATE TABLE Land_Ministerium (
   Land_Ministerium_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Land_Ministerium_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Land_Ministerium
      CHAR(2) NOT NULL
)

CREATE TABLE Land__ist_vorgesetzt (
   Land_Ministerium
      INTEGER NOT NULL REFERENCES Land_Ministerium,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Regierungspraesidium_Landesamt (
   Regierungspraes_Landesamt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Regierungspraes_Landesamt_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Regpraes_Landesamt
      CHAR(3) NOT NULL
)

CREATE TABLE Landesamt__untersteht_Land (
   Regierungspraesidium_Landesamt
      INTEGER NOT NULL REFERENCES Regierungspraesidium_Landesamt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Landesamt__ist_vorgesetzt (
   Regierungspraesidium_Landesamt
      INTEGER NOT NULL REFERENCES Regierungspraesidium_Landesamt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Amt (
   Amt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Amt_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Amt
      CHAR(4) NOT NULL
)

CREATE TABLE Amt__untersteht_Landesamt (
   Amt
      INTEGER NOT NULL REFERENCES Amt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Amt__ist_vorgesetzt (
   Amt
      INTEGER NOT NULL REFERENCES Amt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Meisterei (
   Meisterei_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Meisterei_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Meisterei
      CHAR(6) NOT NULL
)

CREATE TABLE Meisterei__untersteht_Amt (
   Meisterei
      INTEGER NOT NULL REFERENCES Meisterei,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Kreisverwaltung (
   Kreisverwaltung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kreisverwaltung_ID) REFERENCES Strassenbaudienststelle
)

CREATE TABLE Gemeindeverwaltung (
   Gemeindeverwaltung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Gemeindeverwaltung_ID) REFERENCES Strassenbaudienststelle,
   Baulast_Strassenklasse
      CHAR(1),
   Gemeindefunktion
      CHAR(1)
)

CREATE TABLE sonstige_UI_Partner (
   sonstige_UI_Partner_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (sonstige_UI_Partner_ID) REFERENCES UI_Partner,
   Kennzeichen
      VARCHAR(6)
)

CREATE TABLE UI_Vereinbarung (
   UI_Vereinbarung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (UI_Vereinbarung_ID) REFERENCES ASB_Objekt,
   FOREIGN KEY (UI_Vereinbarung_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   Vertragsdatum
      CHAR(10), -- Datum
   CHECK ( Vertragsdatum LIKE '__.__.____' ),
   Art_der_Vereinbarung
      INTEGER REFERENCES Art_UI_Vereinbarung
)

CREATE TABLE UI_Vereinbarung__mit_Partner (
   UI_Vereinbarung
      INTEGER NOT NULL REFERENCES UI_Vereinbarung,
   UI_Partner
      INTEGER NOT NULL REFERENCES UI_Partner
)

CREATE TABLE UI_Vereinbarung__Vertrag (
   UI_Vereinbarung
      INTEGER NOT NULL REFERENCES UI_Vereinbarung,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Art_UI_Vereinbarung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_UI_Vereinbarung VALUES (1,'UI-Vereinbarung')
INSERT INTO Art_UI_Vereinbarung VALUES (2,'UA-Vereinbarung')
INSERT INTO Art_UI_Vereinbarung VALUES (3,'nur Sommerdienst')
INSERT INTO Art_UI_Vereinbarung VALUES (4,'nur Winterdienst')

CREATE TABLE UI_Partner (
   UI_Partner_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (UI_Partner_ID) REFERENCES ASB_Objekt,
   FOREIGN KEY (UI_Partner_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10), -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10), -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Art_UI_Partner
      INTEGER NOT NULL REFERENCES Art_UI_Partner
)

CREATE TABLE Art_UI_Partner (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_UI_Partner VALUES ( 2005, 'Bundesland' )
INSERT INTO Art_UI_Partner VALUES ( 2006, 'Regierungsbezirk' )
INSERT INTO Art_UI_Partner VALUES ( 2007, 'Kreis_kreisfreie_Stadt' )
INSERT INTO Art_UI_Partner VALUES ( 2009, 'Gemeindebezirk' )
INSERT INTO Art_UI_Partner VALUES ( 2012, 'Ortsteil' )
INSERT INTO Art_UI_Partner VALUES ( 2016, 'Land_Ministerium' )
INSERT INTO Art_UI_Partner VALUES ( 2017, 'Regierungspraesidium_Landesamt' )
INSERT INTO Art_UI_Partner VALUES ( 2018, 'Amt' )
INSERT INTO Art_UI_Partner VALUES ( 2019, 'Meisterei' )
INSERT INTO Art_UI_Partner VALUES ( 2020, 'Kreisverwaltung' )
INSERT INTO Art_UI_Partner VALUES ( 2021, 'Gemeindeverwaltung' )
INSERT INTO Art_UI_Partner VALUES ( 2022, 'sonstige_UI_Partner' )
INSERT INTO Art_UI_Partner VALUES ( 2036, 'Staat' )

CREATE TABLE UI_Partner__fuer_Teilbauwerk (
   UI_Partner
      INTEGER NOT NULL REFERENCES UI_Partner,
   Teilbauwerk_abstrakt
      INTEGER NOT NULL REFERENCES Bauwerke.Teilbauwerk_abstrakt
)

CREATE TABLE Baulast (
   Baulast_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Baulast_ID) REFERENCES ASB_Objekt,
   FOREIGN KEY (Baulast_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   Art_Baulast
      CHAR(1) REFERENCES Art_Baulast,
   von_Baulasttraeger
      INTEGER NOT NULL REFERENCES Baulasttraeger
)

CREATE TABLE Art_Baulast (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_Baulast VALUES ('H','Hauptbaulast')
INSERT INTO Art_Baulast VALUES ('G','Gemeindebaulast')
INSERT INTO Art_Baulast VALUES ('D','Baulast Dritter')

CREATE TABLE Baulasttraeger (
   Baulasttraeger_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Baulasttraeger_ID) REFERENCES ASB_Objekt,
   Art_ST_Baulasttraeger
      INTEGER NOT NULL REFERENCES Art_ST_Baulasttraeger
)

CREATE TABLE Art_ST_Baulasttraeger (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(22) NOT NULL
)

INSERT INTO Art_ST_Baulasttraeger VALUES ( 2005, 'Bundesland' )
INSERT INTO Art_ST_Baulasttraeger VALUES ( 2006, 'Regierungsbezirk' )
INSERT INTO Art_ST_Baulasttraeger VALUES ( 2007, 'Kreis_kreisfreie_Stadt' )
INSERT INTO Art_ST_Baulasttraeger VALUES ( 2009, 'Gemeindebezirk' )
INSERT INTO Art_ST_Baulasttraeger VALUES ( 2012, 'Ortsteil' )
INSERT INTO Art_ST_Baulasttraeger VALUES ( 2028, 'Baulast_Dritter' )
INSERT INTO Art_ST_Baulasttraeger VALUES ( 2036, 'Staat' )

CREATE TABLE Baulasttraeger__Verfuegung (
   Baulasttraeger
      INTEGER NOT NULL REFERENCES Baulasttraeger,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Baulast_Dritter (
   Baulast_Dritter_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Baulast_Dritter_ID) REFERENCES Baulasttraeger,
   Kennung
      INTEGER NOT NULL,
   Langtext
      VARCHAR(255) NOT NULL
)

CREATE TABLE OD_FS (
   OD_FS_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (OD_FS_ID) REFERENCES Strassennetz.Streckenobjekt_hist,
   rechtsgueltig_ab
      CHAR(10), -- Datum
   CHECK ( rechtsgueltig_ab LIKE '__.__.____' ),
   OD_FS
      CHAR(1) NOT NULL REFERENCES Tab_OD_FS
)

CREATE TABLE OD_FS__Verfuegung (
   OD_FS
      INTEGER NOT NULL REFERENCES OD_FS,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Tab_OD_FS (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Tab_OD_FS VALUES ('O','Ortsdurchfahrt')
INSERT INTO Tab_OD_FS VALUES ('V','Verknpfungsbereich')
INSERT INTO Tab_OD_FS VALUES ('E','Erschlieungsbereich')
INSERT INTO Tab_OD_FS VALUES ('F','Freie Strecke')

CREATE TABLE Widmung (
   Widmung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Widmung_ID) REFERENCES Strassennetz.Streckenobjekt_hist,
   rechtsgueltig_ab
      CHAR(10) NOT NULL, -- Datum
   CHECK ( rechtsgueltig_ab LIKE '__.__.____' ),
   Widmung
      INTEGER NOT NULL REFERENCES Tab_Widmung
)

CREATE TABLE Widmung__Verfuegung (
   Widmung
      INTEGER NOT NULL REFERENCES Widmung,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Tab_Widmung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Tab_Widmung VALUES (0,'nicht gewidmet')
INSERT INTO Tab_Widmung VALUES (1,'gewidmet')
INSERT INTO Tab_Widmung VALUES (2,'gewidmet, wird umgestuft')

CREATE TABLE verwaltungstechn_Zuordnung (
   verwaltungstechn_Zuordnung_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   hat_Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr,
   hat_Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Polizeidienststelle (
   Polizeidienststelle_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   Behoerdenkennung
      VARCHAR(6) NOT NULL
)

CREATE TABLE Art_Baulasttraeger (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_Baulasttraeger VALUES (1,'Staat')
INSERT INTO Art_Baulasttraeger VALUES (2,'Bundesland')
INSERT INTO Art_Baulasttraeger VALUES (3,'Regierungsbezirk')
INSERT INTO Art_Baulasttraeger VALUES (4,'Kreis_kreisfreie_Stadt')
INSERT INTO Art_Baulasttraeger VALUES (5,'Gemeindebezirk')
INSERT INTO Art_Baulasttraeger VALUES (6,'Ortsteil')
INSERT INTO Art_Baulasttraeger VALUES (7,'Dritter')

