CREATE SCHEMA Liegenschaftsverwaltung

-- Historie:
--
-- 02.08.2006 - 1.011
-- Einfhrung des Schemas Liegenschaftsverwaltung gem N0080

CREATE TABLE LV_Flurstuecksdetails (
   LV_Flurstuecksdetails_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   Bestandsnummer
      VARCHAR(8),
   Projekt
      VARCHAR(250),
   Vermoegensgruppe
      INTEGER REFERENCES LV_Vermoegensgruppe,
   Weitere_VMG
      INTEGER REFERENCES Logical_Types.Boolean,
   VD_Pruefung
      INTEGER REFERENCES Logical_Types.Boolean,
   GEStand
      CHAR(2) REFERENCES LV_GEStand,
   GEArt
      CHAR(2) REFERENCES LV_GEArt,
   Erwerbsdatum
      CHAR(10), -- Datum
   CHECK ( Erwerbsdatum LIKE '__.__.____' ),
   Besitzuebergang
      CHAR(10), -- Datum
   CHECK ( Besitzuebergang LIKE '__.__.____' ),
   Bodenwert
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Eigentuemerkurzbezeichnung
      VARCHAR(80),
   Fortfuehrungsnachweis
      VARCHAR(100),
   Versiegelte_Flaeche
      REAL, -- Quadratmeter
   CHECK ( Versiegelte_Flaeche >= 0 ),
   Belastung_Abt2
      VARCHAR(255),
   Belastung_Abt3
      VARCHAR(255),
   Bemerkungen
      VARCHAR(255),
   Baubeginn
      CHAR(10), -- Datum
   CHECK ( Baubeginn LIKE '__.__.____' ),
   Entbehrlichkeitspruefung
      CHAR(10), -- Datum
   CHECK ( Entbehrlichkeitspruefung LIKE '__.__.____' ),
   Beurkundungsdaten
      VARCHAR(250),
   Tausch
      INTEGER REFERENCES Logical_Types.Boolean,
   SAP_Projektnummer
      VARCHAR(50),
   Verschmelzung_Antragsnummer
      VARCHAR(255),
   Strassenklasse
      CHAR(1) NOT NULL REFERENCES Strassenklasse,
   Strassennummer
      INTEGER NOT NULL, -- Strassennummer
   CHECK ( ( Strassennummer > 0 ) AND ( Strassennummer <= 9999 ) ),
   Zusatzbuchstabe
      CHAR(1), -- Zusatzbuchstabe
   CHECK ( ( Zusatzbuchstabe >= 'A' ) AND ( Zusatzbuchstabe <= 'Z' ) ),      
   hat_Baubehoerde
      INTEGER REFERENCES LV_Behoerde
)

CREATE TABLE LV_Vermoegensgruppe (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO LV_Vermoegensgruppe VALUES (1020,'vorgehalten als Biotop allgemein')
INSERT INTO LV_Vermoegensgruppe VALUES (1021,'vorgehalten als Trockenflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (1022,'vorgehalten als Feuchtflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (1023,'vorgehalten als Wasserflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (1024,'vorgehalten als Gehlz/Waldflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (1511,'Acker')
INSERT INTO LV_Vermoegensgruppe VALUES (1512,'Grnland, Wiese')
INSERT INTO LV_Vermoegensgruppe VALUES (1513,'Gartenland')
INSERT INTO LV_Vermoegensgruppe VALUES (1514,'Hutung/Unland')
INSERT INTO LV_Vermoegensgruppe VALUES (1515,'Acker/Grnland')
INSERT INTO LV_Vermoegensgruppe VALUES (1516,'Bauland (Hof- u. Gebudefl., Vor- u. Hausgarten)')
INSERT INTO LV_Vermoegensgruppe VALUES (1517,'Wasserflche')
INSERT INTO LV_Vermoegensgruppe VALUES (1518,'Sonstige Flchen')
INSERT INTO LV_Vermoegensgruppe VALUES (1519,'Wald')
INSERT INTO LV_Vermoegensgruppe VALUES (1540,'Str,(GG dch Gde)i.GB v BRD/FB vorg.,j.i.fremd.Baul')
INSERT INTO LV_Vermoegensgruppe VALUES (1541,'Str,(GG d FB/BRD)i.GB i.E.v.Gde/Ldkr j.i.BL BRD/FB')
INSERT INTO LV_Vermoegensgruppe VALUES (1550,'Im GB noch BRD/FB, jed.ber. mit Urk. verk./vertau.')
INSERT INTO LV_Vermoegensgruppe VALUES (1551,'Zum Tausch/Verkauf vorgesehen (im wesentl. bei VN)')
INSERT INTO LV_Vermoegensgruppe VALUES (1552,'Zur Abgabe an FA/BVA/ABD vorgesehen')
INSERT INTO LV_Vermoegensgruppe VALUES (1553,'V.BRD/FB miterw.Fl.and.Baulasttr.n.VN (FB/BRD ...)')
INSERT INTO LV_Vermoegensgruppe VALUES (1554,'Verwertung d. StrBVerw (Abgabe an Behrde/Private)')
INSERT INTO LV_Vermoegensgruppe VALUES (2510,'Strae (Bundes- u. Staatsstrae)')
INSERT INTO LV_Vermoegensgruppe VALUES (2520,'Straenbestandteil allgemein')
INSERT INTO LV_Vermoegensgruppe VALUES (2521,'Lrmschutzanlage')
INSERT INTO LV_Vermoegensgruppe VALUES (2522,'Bschung')
INSERT INTO LV_Vermoegensgruppe VALUES (2523,'Straenbegleitgrn, Sichtflche')
INSERT INTO LV_Vermoegensgruppe VALUES (2524,'Sttzmauer')
INSERT INTO LV_Vermoegensgruppe VALUES (2525,'Parkplatz, Busbucht')
INSERT INTO LV_Vermoegensgruppe VALUES (2526,'Graben, Regenrckhaltebecken')
INSERT INTO LV_Vermoegensgruppe VALUES (2527,'Lagerplatz')
INSERT INTO LV_Vermoegensgruppe VALUES (2528,'Brcke')
INSERT INTO LV_Vermoegensgruppe VALUES (2530,'Geh- und Radweg')
INSERT INTO LV_Vermoegensgruppe VALUES (3001,'Acker')
INSERT INTO LV_Vermoegensgruppe VALUES (3002,'Grnland, Wiese, Streuwiese')
INSERT INTO LV_Vermoegensgruppe VALUES (3003,'Gartenland')
INSERT INTO LV_Vermoegensgruppe VALUES (3004,'Hutung/Unland')
INSERT INTO LV_Vermoegensgruppe VALUES (3005,'Acker/Grnland')
INSERT INTO LV_Vermoegensgruppe VALUES (3006,'Hof- und Gebudeflchen')
INSERT INTO LV_Vermoegensgruppe VALUES (3010,'Wald')
INSERT INTO LV_Vermoegensgruppe VALUES (3025,'bestehende Trockenflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (3026,'bestehende Feuchtflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (3027,'bestehende Wasserflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (3028,'bestehende Gehlzflche/Waldflche - Biotop')
INSERT INTO LV_Vermoegensgruppe VALUES (3029,'bestehendes Biotop allgemein')
INSERT INTO LV_Vermoegensgruppe VALUES (3030,'Steinbrche, Tongruben, Kiesgrube usw.')
INSERT INTO LV_Vermoegensgruppe VALUES (3090,'Wasserfl., Ufermauer (soweit nicht Straenbestand)')
INSERT INTO LV_Vermoegensgruppe VALUES (3100,'Verwaltungsdienstgebude, Hof- u. Gebudeflche')
INSERT INTO LV_Vermoegensgruppe VALUES (3130,'Betriebsgebude (SM u..)')
INSERT INTO LV_Vermoegensgruppe VALUES (4000,'Grundst in FB, Abfind.Flurnr vorh, oder NA unbek.')
INSERT INTO LV_Vermoegensgruppe VALUES (4800,'Verpflichtung Dritter zu Abtretungen')
INSERT INTO LV_Vermoegensgruppe VALUES (4801,'Verpflichtung d.BVA/FA,Gde,Stadt,Ldkr zur Rckgabe')
INSERT INTO LV_Vermoegensgruppe VALUES (4900,'Dienstbarkeiten')

CREATE TABLE LV_GEStand (
   Kennung
      CHAR(2) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO LV_GEStand VALUES ('- ','keine Eintragung')
INSERT INTO LV_GEStand VALUES ('CA','circa Flche')
INSERT INTO LV_GEStand VALUES ('FN','Fortfhrungsnachweis')
INSERT INTO LV_GEStand VALUES ('GB','Grundbuch')
INSERT INTO LV_GEStand VALUES ('GR','ganzes Grundstck')
INSERT INTO LV_GEStand VALUES ('GV','Grundbuchberichtigung nach FN mglich')
INSERT INTO LV_GEStand VALUES ('GZ','Zerlegung im GB')
INSERT INTO LV_GEStand VALUES ('UT','Teilverkauf/Tausch vorher ganzes Grundstck')
INSERT INTO LV_GEStand VALUES ('UV','unvermessen')
INSERT INTO LV_GEStand VALUES ('ZV','Zerlegungs- u. Verschmelzungs FN')
INSERT INTO LV_GEStand VALUES ('  ','keine Eintragung')

CREATE TABLE LV_GEArt (
   Kennung
      CHAR(2) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO LV_GEArt VALUES ('- ','keine Eintragung')
INSERT INTO LV_GEArt VALUES ('EB','Eigenbesitz')
INSERT INTO LV_GEArt VALUES ('EE','Enteignung')
INSERT INTO LV_GEArt VALUES ('EF','Eigenbesitz - Ers i R d Fb')
INSERT INTO LV_GEArt VALUES ('FB','Flurbereinigung')
INSERT INTO LV_GEArt VALUES ('GG','Grundbuchberichtigung')
INSERT INTO LV_GEArt VALUES ('KA','Kauf')
INSERT INTO LV_GEArt VALUES ('VV','Verfgungsverbot  52 FlurbG)')
INSERT INTO LV_GEArt VALUES ('  ','keine Eintragung')

CREATE TABLE LV_Behoerde (
   LV_Behoerde_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   Baubehoerdennummer
      VARCHAR(50),
   Baubehoerdenname
      VARCHAR(50),
   ist_Strassenbaudienststelle
      INTEGER REFERENCES Administration.Strassenbaudienstst_abstr
)

CREATE TABLE LV_Gebuehren (
   LV_Gebuehren_ID
      INTEGER NOT NULL PRIMARY KEY,
   OKSTRA_ID
      CHAR(32), -- GUID
   Verbuchungsstelle
      VARCHAR(50),
   Aktenzeichen
      VARCHAR(250),
   Verwalter
      VARCHAR(50),
   Grundsteuer
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Entwaesserung
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Muellabfuhr
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Strassenreinigung
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Wasser
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Kaminkehrer
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   SonstigeKosten
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   TextSonstigeKosten
      VARCHAR(50),
   Gebuehren_Februar
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Gebuehren_Mai
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Gebuehren_Juli
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Gebuehren_August
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Gebuehren_November
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Grundsteuermessbescheid
      CHAR(10), -- Datum
   CHECK ( Grundsteuermessbescheid LIKE '__.__.____' ),
   Grundsteuerbescheid
      CHAR(10), -- Datum
   CHECK ( Grundsteuerbescheid LIKE '__.__.____' ),
   Einheitswert
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Grundsteuermessbetrag
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Hebesatz
      INTEGER REFERENCES Allgemeine_Objekte.Waehrungsbetrag,
   Empfaenger
      VARCHAR(80),
   Personenkennnummer
      VARCHAR(40),
   Kassenzeichen
      VARCHAR(40),
   Bankverbindung
      INTEGER REFERENCES Allgemeine_Objekte.Bankverbindung,
   Bemerkung
      VARCHAR(250),
   Projektnummer
      VARCHAR(50),
   Kostentraeger
      VARCHAR(50),
   Kostenstelle
      VARCHAR(50)
)

CREATE TABLE LV_Geb__zu_LV_Flrstkdetails (
   LV_Gebuehren
      INTEGER NOT NULL REFERENCES LV_Gebuehren,
   LV_Flurstuecksdetails
      INTEGER NOT NULL REFERENCES LV_Flurstuecksdetails
)

